Bug 225931 - Merge Review: jakarta-commons-lang
Merge Review: jakarta-commons-lang
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wringe
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 14:09 EST by Nobody's working on this, feel free to take it
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-05 14:45:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mwringe: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:09:32 EST
Fedora Merge Review: jakarta-commons-lang

http://cvs.fedora.redhat.com/viewcvs/devel/jakarta-commons-lang/
Initial Owner: pcheung@redhat.com
Comment 3 Matt Wringe 2007-03-29 14:14:32 EDT
MUST:
* package is named appropriately
 - match upstream tarball or project name
 - try to match previous incarnations in other distributions/packagers for
consistency
 - specfile should be %{name}.spec
 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
OK
* is it legal for Fedora to distribute this?
 - OSI-approved
 - not a kernel module
 - not shareware
 - is it covered by patents?
 - it *probably* shouldn't be an emulator
 - no binary firmware
OK
* license field matches the actual license.
OK
* license is open source-compatible.
 - use acronyms for licences where common
OK
* specfile name matches %{name}
OK
* verify source and patches (md5sum matches upstream, know what the patches do)
 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie. 
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah
OK
* skim the summary and description for typos, etc.
X utilities is spelled wrong

* correct buildroot
  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK
* if %{?dist} is used, it should be in that form (note the ? and %
locations)
OK
* license text included in package and marked with %doc
OK
* keep old changelog entries; use judgement when removing (too old?
useless?)
OK
* packages meets FHS (http://www.pathname.com/fhs/)
OK
* rpmlint on <this package>.srpm gives no output
 - justify warnings if you think they shouldn't be there
rpmlint jakarta-commons-lang-2.1-6jpp.1.fc7.src.rpm
W: jakarta-commons-lang non-standard-group Development/Libraries/Java
W: jakarta-commons-lang strange-permission jakarta-commons-lang-notarget.patch 0660
W: jakarta-commons-lang strange-permission jakarta-commons-lang.spec 0640
W: jakarta-commons-lang strange-permission commons-lang-2.1-src.tar.gz 0660

X please fix file permissions

* changelog should be in proper formats:
OK
* Packager tag should not be used
OK
* Vendor tag should not be used
OK
* Distribution tag should not be used
OK
* use License and not Copyright 
OK
* Summary tag should not end in a period
OK
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
OK
* specfile is legible
OK, looks good to me
* package successfully compiles and builds on at least x86

* BuildRequires are proper
 - builds in mock will flush out problems here
OK, builds fine in mock
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which
X sed and perl do not need to be included

* summary should be a short and concise description of the package
X summary just states the package name

* description expands upon summary (don't include installation
instructions)
OK
* make sure lines are <= 80 characters

* specfile written in American English
OK
* make a -doc sub-package if necessary
OK, has a javadoc subpackage
* packages including libraries should exclude static libraries if possible
* don't use rpath
* config files should usually be marked with %config(noreplace)
* GUI apps should contain .desktop files
* should the package contain a -devel sub-package?
* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
* don't use %makeinstall
OK
* install section must begin with rm -rf $RPM_BUILD_ROOT or %{buildroot}
OK
* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
OK, no translations
* consider using cp -p to preserve timestamps
OK
* split Requires(pre,post) into two separate lines
OK
* package should probably not be relocatable
* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
OK
* package should own all directories and files
* there should be no %files duplicates
* file permissions should be okay; %defattrs should be present
OK
* %clean should be present
OK
* %doc files should not affect runtime
* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
* verify the final provides and requires of the binary RPMs
* run rpmlint on the binary RPMs

rpmlint jakarta-commons-lang-2.1-6jpp.1.fc7.x86_64.rpm
W: jakarta-commons-lang non-standard-group Development/Libraries/Java

rpmlint jakarta-commons-lang-javadoc-2.1-6jpp.1.fc7.x86_64.rpm
W: jakarta-commons-lang-javadoc non-standard-group Development/Documentation

rpmlint jakarta-commons-lang-debuginfo-2.1-6jpp.1.fc7.x86_64.rpm

OK, the group warnings can be ignored

SHOULD:
* package should include license text in the package and mark it with %doc
OK
* package should build on i386
OK
* package should build in mock
OK
Comment 4 Permaine Cheung 2007-03-29 15:49:53 EDT
(In reply to comment #3)
...
> * skim the summary and description for typos, etc.
> X utilities is spelled wrong
> 
Fixed
> * rpmlint on <this package>.srpm gives no output
>  - justify warnings if you think they shouldn't be there
> rpmlint jakarta-commons-lang-2.1-6jpp.1.fc7.src.rpm
> W: jakarta-commons-lang non-standard-group Development/Libraries/Java
> W: jakarta-commons-lang strange-permission jakarta-commons-lang-notarget.patch
0660
> W: jakarta-commons-lang strange-permission jakarta-commons-lang.spec 0640
> W: jakarta-commons-lang strange-permission commons-lang-2.1-src.tar.gz 0660
> 
> X please fix file permissions
> 
Fixed
>  - the following packages don't need to be listed in BuildRequires:
>    bash
>    bzip2
>    coreutils
>    cpio
>    diffutils
>    fedora-release (and/or redhat-release)
>    gcc
>    gcc-c++
>    gzip
>    make
>    patch
>    perl
>    redhat-rpm-config
>    rpm-build
>    sed
>    tar
>    unzip
>    which
> X sed and perl do not need to be included
Got rid of both sed and perl
> 
> * summary should be a short and concise description of the package
> X summary just states the package name
> 
Updated

Updated spec file and srpm at the same location.
Comment 5 Matt Wringe 2007-04-04 18:52:50 EDT
APPROVED
Comment 6 Permaine Cheung 2007-04-04 20:27:53 EDT
Package built in brew.

Note You need to log in before you can comment on or make changes to this bug.